Loading...
Searching...
No Matches
spa_node_info Struct Reference
SPA » Node

Node information structure. More...

`#include <spa/node/node.h>`

## Data Fields

uint32_t | max_input_ports
uint32_t | max_output_ports
uint64_t | change_mask
uint64_t | flags
struct spa_param_info * | params
| parameter information
uint32_t | n_params
| number of items in params

## Detailed Description

Node information structure.

Contains the basic node information.

## Field Documentation

## max_input_ports

uint32_t spa_node_info::max_input_ports

## max_output_ports

uint32_t spa_node_info::max_output_ports

## change_mask

uint64_t spa_node_info::change_mask

## flags

uint64_t spa_node_info::flags

## params

struct spa_param_info* spa_node_info::params

parameter information

## n_params

uint32_t spa_node_info::n_params

number of items in params

The documentation for this struct was generated from the following file:

- spa/node/node.h